<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: test_defs Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">test_defs Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtest__defs_1_1r3__err__.html">r3_err_</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a0858779988da0fcc98896f70fbcf5d40"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a0858779988da0fcc98896f70fbcf5d40">register_var_err_r3</a> (sd, var_name, var_type)</td></tr>
<tr class="separator:a0858779988da0fcc98896f70fbcf5d40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8238fa1d5b52f6bb8ce44277b39dd4c"><td class="memItemLeft" align="right" valign="top">real(wp) function, dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#ae8238fa1d5b52f6bb8ce44277b39dd4c">get_var_err_r3</a> (sd, var_name)</td></tr>
<tr class="separator:ae8238fa1d5b52f6bb8ce44277b39dd4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99f8356636ed19e4ef95c0522237ddf1"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a99f8356636ed19e4ef95c0522237ddf1">add_sd_err_var</a> (sd)</td></tr>
<tr class="separator:a99f8356636ed19e4ef95c0522237ddf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c5398c27d76a6b2ab9042ade37ddc1"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>) function, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#ae1c5398c27d76a6b2ab9042ade37ddc1">get_sd_err_var</a> (sd)</td></tr>
<tr class="separator:ae1c5398c27d76a6b2ab9042ade37ddc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a639f51971c998e6b92ddd0cfca769bcc"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a639f51971c998e6b92ddd0cfca769bcc">set_sd_err_var</a> (sd)</td></tr>
<tr class="separator:a639f51971c998e6b92ddd0cfca769bcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fd747bef70fdedb41c6da510ec2e192"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a2fd747bef70fdedb41c6da510ec2e192">allocate_sd_err_var</a> (var)</td></tr>
<tr class="separator:a2fd747bef70fdedb41c6da510ec2e192"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedf0733097b0ba4a037be542b8c3bcdd"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#aedf0733097b0ba4a037be542b8c3bcdd">set_default_sd_err_var</a> (var)</td></tr>
<tr class="separator:aedf0733097b0ba4a037be542b8c3bcdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33df63797e13a61de97488ac5ba0d92e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a33df63797e13a61de97488ac5ba0d92e">destroy_sd_err_var</a> (var)</td></tr>
<tr class="separator:a33df63797e13a61de97488ac5ba0d92e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c00706bfd99c78627f6f1d929d2b0ec"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a1c00706bfd99c78627f6f1d929d2b0ec">init_sd_err_var</a> (sd, var, first_name)</td></tr>
<tr class="separator:a1c00706bfd99c78627f6f1d929d2b0ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c06aac4747a0b2fda97d2e79f9b914b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a1c06aac4747a0b2fda97d2e79f9b914b">check_sd_err_var</a> (sd, var, first_name)</td></tr>
<tr class="separator:a1c06aac4747a0b2fda97d2e79f9b914b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90201052d15c384a9550239c330a8dde"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structtest__defs_1_1r3__err__.html">r3_err_</a>) function, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a90201052d15c384a9550239c330a8dde">get_r3_err_ptr</a> (var_name)</td></tr>
<tr class="separator:a90201052d15c384a9550239c330a8dde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29d3661061ad3ce14c9b4fc823c875e0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a29d3661061ad3ce14c9b4fc823c875e0">destroy_sd_err_vars</a> ()</td></tr>
<tr class="separator:a29d3661061ad3ce14c9b4fc823c875e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cb23fcfb7c91903b2addbc571f9d8ee"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a6cb23fcfb7c91903b2addbc571f9d8ee">set_default_r3_err</a> (var)</td></tr>
<tr class="separator:a6cb23fcfb7c91903b2addbc571f9d8ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a57dda9346c7391d7df5d23dfd6092a38"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a57dda9346c7391d7df5d23dfd6092a38">first_r3_name_tmp</a> =&gt; null()</td></tr>
<tr class="separator:a57dda9346c7391d7df5d23dfd6092a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a700e112bd90e3835f91b196070024488"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>), pointer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#a700e112bd90e3835f91b196070024488">first_sd_err_var</a> =&gt; null()</td></tr>
<tr class="separator:a700e112bd90e3835f91b196070024488"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7120127cb3c88bd40844e45d60ec72b"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__defs.html#ac7120127cb3c88bd40844e45d60ec72b">sd_err_var</a> =&gt; null()</td></tr>
<tr class="separator:ac7120127cb3c88bd40844e45d60ec72b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a99f8356636ed19e4ef95c0522237ddf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99f8356636ed19e4ef95c0522237ddf1">&#9670;&nbsp;</a></span>add_sd_err_var()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::add_sd_err_var </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacetest__defs.html#a2fd747bef70fdedb41c6da510ec2e192">allocate_sd_err_var()</a>, <a class="el" href="namespacetest__defs.html#a1c06aac4747a0b2fda97d2e79f9b914b">check_sd_err_var()</a>, <a class="el" href="namespacetest__defs.html#a57dda9346c7391d7df5d23dfd6092a38">first_r3_name_tmp</a>, <a class="el" href="namespacetest__defs.html#a700e112bd90e3835f91b196070024488">first_sd_err_var</a>, <a class="el" href="namespacetest__defs.html#ae1c5398c27d76a6b2ab9042ade37ddc1">get_sd_err_var()</a>, <a class="el" href="namespacetest__defs.html#a1c00706bfd99c78627f6f1d929d2b0ec">init_sd_err_var()</a>, and <a class="el" href="namespacetest__defs.html#ac7120127cb3c88bd40844e45d60ec72b">sd_err_var</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a99f8356636ed19e4ef95c0522237ddf1_cgraph.png" border="0" usemap="#namespacetest__defs_a99f8356636ed19e4ef95c0522237ddf1_cgraph" alt=""/></div>
<map name="namespacetest__defs_a99f8356636ed19e4ef95c0522237ddf1_cgraph" id="namespacetest__defs_a99f8356636ed19e4ef95c0522237ddf1_cgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#a2fd747bef70fdedb41c6da510ec2e192" title="test_defs::allocate\l_sd_err_var" alt="" coords="247,5,377,47"/>
<area shape="rect" id="node4" href="namespacetest__defs.html#a1c06aac4747a0b2fda97d2e79f9b914b" title="test_defs::check_sd\l_err_var" alt="" coords="242,71,382,112"/>
<area shape="rect" id="node7" href="namespacetest__defs.html#ae1c5398c27d76a6b2ab9042ade37ddc1" title="test_defs::get_sd_err_var" alt="" coords="227,137,397,163"/>
<area shape="rect" id="node8" href="namespacetest__defs.html#a1c00706bfd99c78627f6f1d929d2b0ec" title="test_defs::init_sd\l_err_var" alt="" coords="251,188,373,229"/>
<area shape="rect" id="node3" href="namespacetest__defs.html#aedf0733097b0ba4a037be542b8c3bcdd" title="test_defs::set_default\l_sd_err_var" alt="" coords="445,5,593,47"/>
<area shape="rect" id="node5" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="471,78,567,105"/>
<area shape="rect" id="node6" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="651,71,782,112"/>
<area shape="rect" id="node9" href="namespacemonitor__func.html#a5f58590d24bbef2f58d303d2df4400db" title="monitor_func::aget\l_monitor" alt="" coords="454,161,585,203"/>
<area shape="rect" id="node13" href="namespacetest__defs.html#a6cb23fcfb7c91903b2addbc571f9d8ee" title="test_defs::set_default\l_r3_err" alt="" coords="445,227,593,268"/>
<area shape="rect" id="node10" href="namespacemonitor__func.html#a2a57028b985bb8ae85834c842506acfa" title="monitor_func::allocate\l_monitor" alt="" coords="641,161,792,203"/>
<area shape="rect" id="node11" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="840,161,991,203"/>
<area shape="rect" id="node12" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="1039,161,1187,203"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a99f8356636ed19e4ef95c0522237ddf1_icgraph.png" border="0" usemap="#namespacetest__defs_a99f8356636ed19e4ef95c0522237ddf1_icgraph" alt=""/></div>
<map name="namespacetest__defs_a99f8356636ed19e4ef95c0522237ddf1_icgraph" id="namespacetest__defs_a99f8356636ed19e4ef95c0522237ddf1_icgraph">
<area shape="rect" id="node2" href="namespacetest__utils.html#a0af4afac0ecabf19cec05ae2e33de0ab" title="test_utils::test_register_data" alt="" coords="227,71,413,98"/>
<area shape="rect" id="node3" href="namespaceenergy__flux.html#aef496647bd9987f82dc84ffd3731974a" title="energy_flux::energy\l_flux_register_data" alt="" coords="461,5,597,47"/>
<area shape="rect" id="node4" href="namespacetest__arts__cf.html#ae34bee6a99cd215525ba407805264bef" title="test_arts_cf::test\l_arts_cf_register" alt="" coords="645,35,767,76"/>
<area shape="rect" id="node6" href="namespacetest__arts.html#a277bd60e472c3d851bf653f3f315d1f2" title="test_arts::test_arts\l_register_data" alt="" coords="463,123,595,164"/>
<area shape="rect" id="node5" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#afadfd76dea8548c8190d80eda0bad104" title="register_hook" alt="" coords="815,42,915,69"/>
<area shape="rect" id="node7" href="test__arts__x_2hooks_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f" title="register_hook" alt="" coords="656,130,756,157"/>
</map>
</div>

</div>
</div>
<a id="a2fd747bef70fdedb41c6da510ec2e192"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fd747bef70fdedb41c6da510ec2e192">&#9670;&nbsp;</a></span>allocate_sd_err_var()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::allocate_sd_err_var </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>var</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacetest__defs.html#aedf0733097b0ba4a037be542b8c3bcdd">set_default_sd_err_var()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a2fd747bef70fdedb41c6da510ec2e192_cgraph.png" border="0" usemap="#namespacetest__defs_a2fd747bef70fdedb41c6da510ec2e192_cgraph" alt=""/></div>
<map name="namespacetest__defs_a2fd747bef70fdedb41c6da510ec2e192_cgraph" id="namespacetest__defs_a2fd747bef70fdedb41c6da510ec2e192_cgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#aedf0733097b0ba4a037be542b8c3bcdd" title="test_defs::set_default\l_sd_err_var" alt="" coords="183,5,331,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a2fd747bef70fdedb41c6da510ec2e192_icgraph.png" border="0" usemap="#namespacetest__defs_a2fd747bef70fdedb41c6da510ec2e192_icgraph" alt=""/></div>
<map name="namespacetest__defs_a2fd747bef70fdedb41c6da510ec2e192_icgraph" id="namespacetest__defs_a2fd747bef70fdedb41c6da510ec2e192_icgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#a99f8356636ed19e4ef95c0522237ddf1" title="test_defs::add_sd_err_var" alt="" coords="183,71,356,98"/>
<area shape="rect" id="node3" href="namespacetest__utils.html#a0af4afac0ecabf19cec05ae2e33de0ab" title="test_utils::test_register_data" alt="" coords="404,71,591,98"/>
<area shape="rect" id="node4" href="namespaceenergy__flux.html#aef496647bd9987f82dc84ffd3731974a" title="energy_flux::energy\l_flux_register_data" alt="" coords="639,5,775,47"/>
<area shape="rect" id="node5" href="namespacetest__arts__cf.html#ae34bee6a99cd215525ba407805264bef" title="test_arts_cf::test\l_arts_cf_register" alt="" coords="823,35,944,76"/>
<area shape="rect" id="node7" href="namespacetest__arts.html#a277bd60e472c3d851bf653f3f315d1f2" title="test_arts::test_arts\l_register_data" alt="" coords="641,123,773,164"/>
<area shape="rect" id="node6" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#afadfd76dea8548c8190d80eda0bad104" title="register_hook" alt="" coords="992,42,1092,69"/>
<area shape="rect" id="node8" href="test__arts__x_2hooks_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f" title="register_hook" alt="" coords="833,130,933,157"/>
</map>
</div>

</div>
</div>
<a id="a1c06aac4747a0b2fda97d2e79f9b914b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c06aac4747a0b2fda97d2e79f9b914b">&#9670;&nbsp;</a></span>check_sd_err_var()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::check_sd_err_var </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>), intent(in), pointer&#160;</td>
          <td class="paramname"><em>var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type (<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), intent(in), pointer&#160;</td>
          <td class="paramname"><em>first_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a1c06aac4747a0b2fda97d2e79f9b914b_cgraph.png" border="0" usemap="#namespacetest__defs_a1c06aac4747a0b2fda97d2e79f9b914b_cgraph" alt=""/></div>
<map name="namespacetest__defs_a1c06aac4747a0b2fda97d2e79f9b914b_cgraph" id="namespacetest__defs_a1c06aac4747a0b2fda97d2e79f9b914b_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="193,13,289,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="337,5,468,47"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a1c06aac4747a0b2fda97d2e79f9b914b_icgraph.png" border="0" usemap="#namespacetest__defs_a1c06aac4747a0b2fda97d2e79f9b914b_icgraph" alt=""/></div>
<map name="namespacetest__defs_a1c06aac4747a0b2fda97d2e79f9b914b_icgraph" id="namespacetest__defs_a1c06aac4747a0b2fda97d2e79f9b914b_icgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#a99f8356636ed19e4ef95c0522237ddf1" title="test_defs::add_sd_err_var" alt="" coords="193,71,367,98"/>
<area shape="rect" id="node3" href="namespacetest__utils.html#a0af4afac0ecabf19cec05ae2e33de0ab" title="test_utils::test_register_data" alt="" coords="415,71,601,98"/>
<area shape="rect" id="node4" href="namespaceenergy__flux.html#aef496647bd9987f82dc84ffd3731974a" title="energy_flux::energy\l_flux_register_data" alt="" coords="649,5,785,47"/>
<area shape="rect" id="node5" href="namespacetest__arts__cf.html#ae34bee6a99cd215525ba407805264bef" title="test_arts_cf::test\l_arts_cf_register" alt="" coords="833,35,955,76"/>
<area shape="rect" id="node7" href="namespacetest__arts.html#a277bd60e472c3d851bf653f3f315d1f2" title="test_arts::test_arts\l_register_data" alt="" coords="651,123,783,164"/>
<area shape="rect" id="node6" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#afadfd76dea8548c8190d80eda0bad104" title="register_hook" alt="" coords="1003,42,1103,69"/>
<area shape="rect" id="node8" href="test__arts__x_2hooks_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f" title="register_hook" alt="" coords="844,130,944,157"/>
</map>
</div>

</div>
</div>
<a id="a33df63797e13a61de97488ac5ba0d92e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33df63797e13a61de97488ac5ba0d92e">&#9670;&nbsp;</a></span>destroy_sd_err_var()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::destroy_sd_err_var </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>var</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a33df63797e13a61de97488ac5ba0d92e_icgraph.png" border="0" usemap="#namespacetest__defs_a33df63797e13a61de97488ac5ba0d92e_icgraph" alt=""/></div>
<map name="namespacetest__defs_a33df63797e13a61de97488ac5ba0d92e_icgraph" id="namespacetest__defs_a33df63797e13a61de97488ac5ba0d92e_icgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#a29d3661061ad3ce14c9b4fc823c875e0" title="test_defs::destroy\l_sd_err_vars" alt="" coords="180,39,307,80"/>
<area shape="rect" id="node3" href="namespacetest__utils.html#a7dd05e52f520a2bc22d1bc7a522bd4c0" title="test_utils::test_finish" alt="" coords="355,46,497,73"/>
<area shape="rect" id="node4" href="namespaceenergy__flux.html#abf1c904fe88e1743221693bb476760e7" title="energy_flux::energy\l_flux_final" alt="" coords="545,5,681,47"/>
<area shape="rect" id="node7" href="namespacetest__arts.html#af04ab71f29e38a056c6ca45f731df15e" title="test_arts::test_arts\l_finish" alt="" coords="547,71,679,112"/>
<area shape="rect" id="node5" href="namespacetest__arts__cf.html#a7249fc9c7a9775bb46a9a29dde671e12" title="test_arts_cf::test\l_arts_cf_final" alt="" coords="729,5,851,47"/>
<area shape="rect" id="node6" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#a084450bf4d95a63de458b6898b973936" title="final_hook" alt="" coords="899,13,980,39"/>
<area shape="rect" id="node8" href="test__arts__x_2hooks_2arts__hooks_8f90.html#a98ed45d4750d825f285d80247744e8f9" title="final_hook" alt="" coords="749,78,831,105"/>
</map>
</div>

</div>
</div>
<a id="a29d3661061ad3ce14c9b4fc823c875e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29d3661061ad3ce14c9b4fc823c875e0">&#9670;&nbsp;</a></span>destroy_sd_err_vars()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::destroy_sd_err_vars </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacetest__defs.html#a33df63797e13a61de97488ac5ba0d92e">destroy_sd_err_var()</a>, and <a class="el" href="namespacetest__defs.html#a700e112bd90e3835f91b196070024488">first_sd_err_var</a>.</p>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a29d3661061ad3ce14c9b4fc823c875e0_cgraph.png" border="0" usemap="#namespacetest__defs_a29d3661061ad3ce14c9b4fc823c875e0_cgraph" alt=""/></div>
<map name="namespacetest__defs_a29d3661061ad3ce14c9b4fc823c875e0_cgraph" id="namespacetest__defs_a29d3661061ad3ce14c9b4fc823c875e0_cgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#a33df63797e13a61de97488ac5ba0d92e" title="test_defs::destroy\l_sd_err_var" alt="" coords="180,5,307,47"/>
</map>
</div>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a29d3661061ad3ce14c9b4fc823c875e0_icgraph.png" border="0" usemap="#namespacetest__defs_a29d3661061ad3ce14c9b4fc823c875e0_icgraph" alt=""/></div>
<map name="namespacetest__defs_a29d3661061ad3ce14c9b4fc823c875e0_icgraph" id="namespacetest__defs_a29d3661061ad3ce14c9b4fc823c875e0_icgraph">
<area shape="rect" id="node2" href="namespacetest__utils.html#a7dd05e52f520a2bc22d1bc7a522bd4c0" title="test_utils::test_finish" alt="" coords="180,46,323,73"/>
<area shape="rect" id="node3" href="namespaceenergy__flux.html#abf1c904fe88e1743221693bb476760e7" title="energy_flux::energy\l_flux_final" alt="" coords="371,5,507,47"/>
<area shape="rect" id="node6" href="namespacetest__arts.html#af04ab71f29e38a056c6ca45f731df15e" title="test_arts::test_arts\l_finish" alt="" coords="373,71,505,112"/>
<area shape="rect" id="node4" href="namespacetest__arts__cf.html#a7249fc9c7a9775bb46a9a29dde671e12" title="test_arts_cf::test\l_arts_cf_final" alt="" coords="555,5,676,47"/>
<area shape="rect" id="node5" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#a084450bf4d95a63de458b6898b973936" title="final_hook" alt="" coords="724,13,805,39"/>
<area shape="rect" id="node7" href="test__arts__x_2hooks_2arts__hooks_8f90.html#a98ed45d4750d825f285d80247744e8f9" title="final_hook" alt="" coords="575,78,656,105"/>
</map>
</div>

</div>
</div>
<a id="a90201052d15c384a9550239c330a8dde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90201052d15c384a9550239c330a8dde">&#9670;&nbsp;</a></span>get_r3_err_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structtest__defs_1_1r3__err__.html">r3_err_</a>) function, pointer test_defs::get_r3_err_ptr </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>var_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, and <a class="el" href="namespacetest__defs.html#ac7120127cb3c88bd40844e45d60ec72b">sd_err_var</a>.</p>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a90201052d15c384a9550239c330a8dde_cgraph.png" border="0" usemap="#namespacetest__defs_a90201052d15c384a9550239c330a8dde_cgraph" alt=""/></div>
<map name="namespacetest__defs_a90201052d15c384a9550239c330a8dde_cgraph" id="namespacetest__defs_a90201052d15c384a9550239c330a8dde_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="217,13,313,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="361,5,492,47"/>
</map>
</div>
<div id="dynsection-10" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-10-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-10-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-10-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a90201052d15c384a9550239c330a8dde_icgraph.png" border="0" usemap="#namespacetest__defs_a90201052d15c384a9550239c330a8dde_icgraph" alt=""/></div>
<map name="namespacetest__defs_a90201052d15c384a9550239c330a8dde_icgraph" id="namespacetest__defs_a90201052d15c384a9550239c330a8dde_icgraph">
<area shape="rect" id="node2" href="namespacetest__utils.html#a419743d04f642c5e94d76b6996502750" title="test_utils::test_calc\l_error_norms_abs" alt="" coords="217,201,353,243"/>
<area shape="rect" id="node3" href="namespaceadvection1d.html#a209995ee84f7ae3896e065e87ee5ca65" title="advection1d::advection1d\l_poststep" alt="" coords="410,5,581,47"/>
<area shape="rect" id="node6" href="namespaceenergy__flux.html#abf1c904fe88e1743221693bb476760e7" title="energy_flux::energy\l_flux_final" alt="" coords="427,136,563,177"/>
<area shape="rect" id="node9" href="namespacelaminar__channel.html#a9e863ac3473d2f9f690ad709500a720b" title="laminar_channel::laminar\l_channel_poststep" alt="" coords="412,201,579,243"/>
<area shape="rect" id="node12" href="namespacemoms__arts.html#ac8da05cb4406b0f8e49a1a10338d2670" title="moms_arts::moms_poststep" alt="" coords="401,267,589,294"/>
<area shape="rect" id="node13" href="namespacemoms__arts__cf.html#ad0b78e245236ec32e152bc64b2112d37" title="moms_arts_cf::moms\l_poststep" alt="" coords="421,71,570,112"/>
<area shape="rect" id="node14" href="namespacetaylor__green.html#a437887e11ce31f541c5ed93f8eba1f82" title="taylor_green::taylor\l_green_poststep" alt="" coords="429,319,562,360"/>
<area shape="rect" id="node15" href="namespacetemplate.html#aef2bd5025599fdc192a9a124b8c97da7" title="template::template\l_poststep" alt="" coords="430,384,561,425"/>
<area shape="rect" id="node4" href="namespacetest__arts__cf.html#acd3c4d2e5d62904997dd979f2aadfdcf" title="test_arts_cf::test\l_arts_cf_poststep" alt="" coords="640,39,767,80"/>
<area shape="rect" id="node5" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#abf770c86c70865b6303e1f33d08582bf" title="temporal_hook" alt="" coords="817,46,924,73"/>
<area shape="rect" id="node7" href="namespacetest__arts__cf.html#a7249fc9c7a9775bb46a9a29dde671e12" title="test_arts_cf::test\l_arts_cf_final" alt="" coords="643,136,764,177"/>
<area shape="rect" id="node8" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#a084450bf4d95a63de458b6898b973936" title="final_hook" alt="" coords="830,143,911,170"/>
<area shape="rect" id="node10" href="namespacetest__arts.html#a885d003c809945f9c4386c95de840505" title="test_arts::test_arts\l_poststep" alt="" coords="637,260,769,301"/>
<area shape="rect" id="node11" href="test__arts__x_2hooks_2arts__hooks_8f90.html#af6082e63ce97ffd3b40827841f6d8db6" title="temporal_hook" alt="" coords="817,267,924,294"/>
</map>
</div>

</div>
</div>
<a id="ae1c5398c27d76a6b2ab9042ade37ddc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1c5398c27d76a6b2ab9042ade37ddc1">&#9670;&nbsp;</a></span>get_sd_err_var()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>) function, pointer test_defs::get_sd_err_var </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacetest__defs.html#a700e112bd90e3835f91b196070024488">first_sd_err_var</a>.</p>
<div id="dynsection-11" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-11-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-11-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-11-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_ae1c5398c27d76a6b2ab9042ade37ddc1_icgraph.png" border="0" usemap="#namespacetest__defs_ae1c5398c27d76a6b2ab9042ade37ddc1_icgraph" alt=""/></div>
<map name="namespacetest__defs_ae1c5398c27d76a6b2ab9042ade37ddc1_icgraph" id="namespacetest__defs_ae1c5398c27d76a6b2ab9042ade37ddc1_icgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#a99f8356636ed19e4ef95c0522237ddf1" title="test_defs::add_sd_err_var" alt="" coords="224,246,397,273"/>
<area shape="rect" id="node9" href="namespacetest__defs.html#a639f51971c998e6b92ddd0cfca769bcc" title="test_defs::set_sd_err_var" alt="" coords="225,441,396,467"/>
<area shape="rect" id="node3" href="namespacetest__utils.html#a0af4afac0ecabf19cec05ae2e33de0ab" title="test_utils::test_register_data" alt="" coords="445,101,632,127"/>
<area shape="rect" id="node4" href="namespaceenergy__flux.html#aef496647bd9987f82dc84ffd3731974a" title="energy_flux::energy\l_flux_register_data" alt="" coords="706,5,842,47"/>
<area shape="rect" id="node5" href="namespacetest__arts__cf.html#ae34bee6a99cd215525ba407805264bef" title="test_arts_cf::test\l_arts_cf_register" alt="" coords="921,35,1043,76"/>
<area shape="rect" id="node7" href="namespacetest__arts.html#a277bd60e472c3d851bf653f3f315d1f2" title="test_arts::test_arts\l_register_data" alt="" coords="708,123,840,164"/>
<area shape="rect" id="node6" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#afadfd76dea8548c8190d80eda0bad104" title="register_hook" alt="" coords="1099,42,1199,69"/>
<area shape="rect" id="node8" href="test__arts__x_2hooks_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f" title="register_hook" alt="" coords="932,130,1032,157"/>
<area shape="rect" id="node10" href="namespacetest__utils.html#a0fec6a68e722488fee599668ec4d335f" title="test_utils::test_init" alt="" coords="474,247,603,274"/>
<area shape="rect" id="node15" href="namespacetest__utils.html#a44d8d0c6845f2dc77d46b7e5d5836d75" title="test_utils::test_poststep1" alt="" coords="689,750,859,777"/>
<area shape="rect" id="node20" href="namespacetest__utils.html#a270dcb60b6fbe17feba2c691c345e058" title="test_utils::test_poststep2" alt="" coords="689,801,859,827"/>
<area shape="rect" id="node21" href="namespacetest__utils.html#a7dd05e52f520a2bc22d1bc7a522bd4c0" title="test_utils::test_finish" alt="" coords="467,378,610,405"/>
<area shape="rect" id="node27" href="namespacetest__utils.html#a419743d04f642c5e94d76b6996502750" title="test_utils::test_calc\l_error_norms_abs" alt="" coords="471,524,607,565"/>
<area shape="rect" id="node11" href="namespacetest__arts.html#aa3801ab2571dd1e1ad12e7d37fa5415f" title="test_arts::test_arts_init" alt="" coords="696,189,852,215"/>
<area shape="rect" id="node13" href="namespacetest__arts__cf.html#a7c531b80b11e744e26d771a9b82e8f8c" title="test_arts_cf::test\l_arts_cf_init" alt="" coords="713,240,835,281"/>
<area shape="rect" id="node12" href="test__arts__x_2hooks_2arts__hooks_8f90.html#a7a8a483be87e88a7f2552b124d938f69" title="initial_hook" alt="" coords="939,189,1025,215"/>
<area shape="rect" id="node14" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#a14f6521e9fb4e882e75018121ef75e63" title="initial_hook" alt="" coords="939,247,1025,274"/>
<area shape="rect" id="node16" href="namespacetest__arts.html#a885d003c809945f9c4386c95de840505" title="test_arts::test_arts\l_poststep" alt="" coords="916,619,1048,660"/>
<area shape="rect" id="node18" href="namespacetest__arts__cf.html#acd3c4d2e5d62904997dd979f2aadfdcf" title="test_arts_cf::test\l_arts_cf_poststep" alt="" coords="919,768,1045,809"/>
<area shape="rect" id="node17" href="test__arts__x_2hooks_2arts__hooks_8f90.html#af6082e63ce97ffd3b40827841f6d8db6" title="temporal_hook" alt="" coords="1096,626,1203,653"/>
<area shape="rect" id="node19" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#abf770c86c70865b6303e1f33d08582bf" title="temporal_hook" alt="" coords="1096,775,1203,802"/>
<area shape="rect" id="node22" href="namespaceenergy__flux.html#abf1c904fe88e1743221693bb476760e7" title="energy_flux::energy\l_flux_final" alt="" coords="706,371,842,412"/>
<area shape="rect" id="node25" href="namespacetest__arts.html#af04ab71f29e38a056c6ca45f731df15e" title="test_arts::test_arts\l_finish" alt="" coords="708,305,840,347"/>
<area shape="rect" id="node23" href="namespacetest__arts__cf.html#a7249fc9c7a9775bb46a9a29dde671e12" title="test_arts_cf::test\l_arts_cf_final" alt="" coords="921,371,1043,412"/>
<area shape="rect" id="node24" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#a084450bf4d95a63de458b6898b973936" title="final_hook" alt="" coords="1109,378,1190,405"/>
<area shape="rect" id="node26" href="test__arts__x_2hooks_2arts__hooks_8f90.html#a98ed45d4750d825f285d80247744e8f9" title="final_hook" alt="" coords="941,313,1023,339"/>
<area shape="rect" id="node28" href="namespaceadvection1d.html#a209995ee84f7ae3896e065e87ee5ca65" title="advection1d::advection1d\l_poststep" alt="" coords="689,852,859,893"/>
<area shape="rect" id="node29" href="namespacelaminar__channel.html#a9e863ac3473d2f9f690ad709500a720b" title="laminar_channel::laminar\l_channel_poststep" alt="" coords="691,436,857,477"/>
<area shape="rect" id="node30" href="namespacemoms__arts.html#ac8da05cb4406b0f8e49a1a10338d2670" title="moms_arts::moms_poststep" alt="" coords="680,502,868,529"/>
<area shape="rect" id="node31" href="namespacemoms__arts__cf.html#ad0b78e245236ec32e152bc64b2112d37" title="moms_arts_cf::moms\l_poststep" alt="" coords="699,684,849,725"/>
<area shape="rect" id="node32" href="namespacetaylor__green.html#a437887e11ce31f541c5ed93f8eba1f82" title="taylor_green::taylor\l_green_poststep" alt="" coords="707,619,841,660"/>
<area shape="rect" id="node33" href="namespacetemplate.html#aef2bd5025599fdc192a9a124b8c97da7" title="template::template\l_poststep" alt="" coords="709,553,839,595"/>
</map>
</div>

</div>
</div>
<a id="ae8238fa1d5b52f6bb8ce44277b39dd4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8238fa1d5b52f6bb8ce44277b39dd4c">&#9670;&nbsp;</a></span>get_var_err_r3()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function, dimension(:,:,:), pointer test_defs::get_var_err_r3 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>var_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c00706bfd99c78627f6f1d929d2b0ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c00706bfd99c78627f6f1d929d2b0ec">&#9670;&nbsp;</a></span>init_sd_err_var()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::init_sd_err_var </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type (<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), intent(in), pointer&#160;</td>
          <td class="paramname"><em>first_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacemonitor__func.html#a5f58590d24bbef2f58d303d2df4400db">monitor_func::aget_monitor()</a>, and <a class="el" href="namespacetest__defs.html#a6cb23fcfb7c91903b2addbc571f9d8ee">set_default_r3_err()</a>.</p>
<div id="dynsection-12" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-12-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-12-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-12-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a1c00706bfd99c78627f6f1d929d2b0ec_cgraph.png" border="0" usemap="#namespacetest__defs_a1c00706bfd99c78627f6f1d929d2b0ec_cgraph" alt=""/></div>
<map name="namespacetest__defs_a1c00706bfd99c78627f6f1d929d2b0ec_cgraph" id="namespacetest__defs_a1c00706bfd99c78627f6f1d929d2b0ec_cgraph">
<area shape="rect" id="node2" href="namespacemonitor__func.html#a5f58590d24bbef2f58d303d2df4400db" title="monitor_func::aget\l_monitor" alt="" coords="185,5,315,47"/>
<area shape="rect" id="node6" href="namespacetest__defs.html#a6cb23fcfb7c91903b2addbc571f9d8ee" title="test_defs::set_default\l_r3_err" alt="" coords="176,71,324,112"/>
<area shape="rect" id="node3" href="namespacemonitor__func.html#a2a57028b985bb8ae85834c842506acfa" title="monitor_func::allocate\l_monitor" alt="" coords="372,5,523,47"/>
<area shape="rect" id="node4" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="571,5,721,47"/>
<area shape="rect" id="node5" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="769,5,917,47"/>
</map>
</div>
<div id="dynsection-13" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-13-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-13-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-13-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a1c00706bfd99c78627f6f1d929d2b0ec_icgraph.png" border="0" usemap="#namespacetest__defs_a1c00706bfd99c78627f6f1d929d2b0ec_icgraph" alt=""/></div>
<map name="namespacetest__defs_a1c00706bfd99c78627f6f1d929d2b0ec_icgraph" id="namespacetest__defs_a1c00706bfd99c78627f6f1d929d2b0ec_icgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#a99f8356636ed19e4ef95c0522237ddf1" title="test_defs::add_sd_err_var" alt="" coords="176,71,349,98"/>
<area shape="rect" id="node3" href="namespacetest__utils.html#a0af4afac0ecabf19cec05ae2e33de0ab" title="test_utils::test_register_data" alt="" coords="397,71,584,98"/>
<area shape="rect" id="node4" href="namespaceenergy__flux.html#aef496647bd9987f82dc84ffd3731974a" title="energy_flux::energy\l_flux_register_data" alt="" coords="632,5,768,47"/>
<area shape="rect" id="node5" href="namespacetest__arts__cf.html#ae34bee6a99cd215525ba407805264bef" title="test_arts_cf::test\l_arts_cf_register" alt="" coords="816,35,937,76"/>
<area shape="rect" id="node7" href="namespacetest__arts.html#a277bd60e472c3d851bf653f3f315d1f2" title="test_arts::test_arts\l_register_data" alt="" coords="634,123,766,164"/>
<area shape="rect" id="node6" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#afadfd76dea8548c8190d80eda0bad104" title="register_hook" alt="" coords="985,42,1085,69"/>
<area shape="rect" id="node8" href="test__arts__x_2hooks_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f" title="register_hook" alt="" coords="827,130,927,157"/>
</map>
</div>

</div>
</div>
<a id="a0858779988da0fcc98896f70fbcf5d40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0858779988da0fcc98896f70fbcf5d40">&#9670;&nbsp;</a></span>register_var_err_r3()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::register_var_err_r3 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>var_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>var_type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacetest__defs.html#a57dda9346c7391d7df5d23dfd6092a38">first_r3_name_tmp</a>.</p>

</div>
</div>
<a id="a6cb23fcfb7c91903b2addbc571f9d8ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cb23fcfb7c91903b2addbc571f9d8ee">&#9670;&nbsp;</a></span>set_default_r3_err()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::set_default_r3_err </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structtest__defs_1_1r3__err__.html">r3_err_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>var</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-14" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-14-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-14-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-14-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a6cb23fcfb7c91903b2addbc571f9d8ee_icgraph.png" border="0" usemap="#namespacetest__defs_a6cb23fcfb7c91903b2addbc571f9d8ee_icgraph" alt=""/></div>
<map name="namespacetest__defs_a6cb23fcfb7c91903b2addbc571f9d8ee_icgraph" id="namespacetest__defs_a6cb23fcfb7c91903b2addbc571f9d8ee_icgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#a1c00706bfd99c78627f6f1d929d2b0ec" title="test_defs::init_sd\l_err_var" alt="" coords="201,64,324,105"/>
<area shape="rect" id="node3" href="namespacetest__defs.html#a99f8356636ed19e4ef95c0522237ddf1" title="test_defs::add_sd_err_var" alt="" coords="372,71,545,98"/>
<area shape="rect" id="node4" href="namespacetest__utils.html#a0af4afac0ecabf19cec05ae2e33de0ab" title="test_utils::test_register_data" alt="" coords="593,71,780,98"/>
<area shape="rect" id="node5" href="namespaceenergy__flux.html#aef496647bd9987f82dc84ffd3731974a" title="energy_flux::energy\l_flux_register_data" alt="" coords="828,5,964,47"/>
<area shape="rect" id="node6" href="namespacetest__arts__cf.html#ae34bee6a99cd215525ba407805264bef" title="test_arts_cf::test\l_arts_cf_register" alt="" coords="1012,35,1133,76"/>
<area shape="rect" id="node8" href="namespacetest__arts.html#a277bd60e472c3d851bf653f3f315d1f2" title="test_arts::test_arts\l_register_data" alt="" coords="830,123,962,164"/>
<area shape="rect" id="node7" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#afadfd76dea8548c8190d80eda0bad104" title="register_hook" alt="" coords="1181,42,1281,69"/>
<area shape="rect" id="node9" href="test__arts__x_2hooks_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f" title="register_hook" alt="" coords="1023,130,1123,157"/>
</map>
</div>

</div>
</div>
<a id="aedf0733097b0ba4a037be542b8c3bcdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedf0733097b0ba4a037be542b8c3bcdd">&#9670;&nbsp;</a></span>set_default_sd_err_var()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::set_default_sd_err_var </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>var</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-15" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-15-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-15-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-15-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_aedf0733097b0ba4a037be542b8c3bcdd_icgraph.png" border="0" usemap="#namespacetest__defs_aedf0733097b0ba4a037be542b8c3bcdd_icgraph" alt=""/></div>
<map name="namespacetest__defs_aedf0733097b0ba4a037be542b8c3bcdd_icgraph" id="namespacetest__defs_aedf0733097b0ba4a037be542b8c3bcdd_icgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#a2fd747bef70fdedb41c6da510ec2e192" title="test_defs::allocate\l_sd_err_var" alt="" coords="201,64,331,105"/>
<area shape="rect" id="node3" href="namespacetest__defs.html#a99f8356636ed19e4ef95c0522237ddf1" title="test_defs::add_sd_err_var" alt="" coords="379,71,552,98"/>
<area shape="rect" id="node4" href="namespacetest__utils.html#a0af4afac0ecabf19cec05ae2e33de0ab" title="test_utils::test_register_data" alt="" coords="600,71,787,98"/>
<area shape="rect" id="node5" href="namespaceenergy__flux.html#aef496647bd9987f82dc84ffd3731974a" title="energy_flux::energy\l_flux_register_data" alt="" coords="835,5,971,47"/>
<area shape="rect" id="node6" href="namespacetest__arts__cf.html#ae34bee6a99cd215525ba407805264bef" title="test_arts_cf::test\l_arts_cf_register" alt="" coords="1019,35,1140,76"/>
<area shape="rect" id="node8" href="namespacetest__arts.html#a277bd60e472c3d851bf653f3f315d1f2" title="test_arts::test_arts\l_register_data" alt="" coords="837,123,969,164"/>
<area shape="rect" id="node7" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#afadfd76dea8548c8190d80eda0bad104" title="register_hook" alt="" coords="1188,42,1288,69"/>
<area shape="rect" id="node9" href="test__arts__x_2hooks_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f" title="register_hook" alt="" coords="1029,130,1129,157"/>
</map>
</div>

</div>
</div>
<a id="a639f51971c998e6b92ddd0cfca769bcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a639f51971c998e6b92ddd0cfca769bcc">&#9670;&nbsp;</a></span>set_sd_err_var()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine test_defs::set_sd_err_var </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacetest__defs.html#ae1c5398c27d76a6b2ab9042ade37ddc1">get_sd_err_var()</a>, and <a class="el" href="namespacetest__defs.html#ac7120127cb3c88bd40844e45d60ec72b">sd_err_var</a>.</p>
<div id="dynsection-16" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-16-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-16-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-16-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a639f51971c998e6b92ddd0cfca769bcc_cgraph.png" border="0" usemap="#namespacetest__defs_a639f51971c998e6b92ddd0cfca769bcc_cgraph" alt=""/></div>
<map name="namespacetest__defs_a639f51971c998e6b92ddd0cfca769bcc_cgraph" id="namespacetest__defs_a639f51971c998e6b92ddd0cfca769bcc_cgraph">
<area shape="rect" id="node2" href="namespacetest__defs.html#ae1c5398c27d76a6b2ab9042ade37ddc1" title="test_defs::get_sd_err_var" alt="" coords="224,5,395,32"/>
</map>
</div>
<div id="dynsection-17" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-17-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-17-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-17-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacetest__defs_a639f51971c998e6b92ddd0cfca769bcc_icgraph.png" border="0" usemap="#namespacetest__defs_a639f51971c998e6b92ddd0cfca769bcc_icgraph" alt=""/></div>
<map name="namespacetest__defs_a639f51971c998e6b92ddd0cfca769bcc_icgraph" id="namespacetest__defs_a639f51971c998e6b92ddd0cfca769bcc_icgraph">
<area shape="rect" id="node2" href="namespacetest__utils.html#a0fec6a68e722488fee599668ec4d335f" title="test_utils::test_init" alt="" coords="231,64,360,91"/>
<area shape="rect" id="node7" href="namespacetest__utils.html#a44d8d0c6845f2dc77d46b7e5d5836d75" title="test_utils::test_poststep1" alt="" coords="424,567,593,593"/>
<area shape="rect" id="node12" href="namespacetest__utils.html#a270dcb60b6fbe17feba2c691c345e058" title="test_utils::test_poststep2" alt="" coords="424,617,593,644"/>
<area shape="rect" id="node13" href="namespacetest__utils.html#a7dd05e52f520a2bc22d1bc7a522bd4c0" title="test_utils::test_finish" alt="" coords="224,195,367,221"/>
<area shape="rect" id="node19" href="namespacetest__utils.html#a419743d04f642c5e94d76b6996502750" title="test_utils::test_calc\l_error_norms_abs" alt="" coords="227,370,363,411"/>
<area shape="rect" id="node3" href="namespacetest__arts.html#aa3801ab2571dd1e1ad12e7d37fa5415f" title="test_arts::test_arts_init" alt="" coords="431,5,587,32"/>
<area shape="rect" id="node5" href="namespacetest__arts__cf.html#a7c531b80b11e744e26d771a9b82e8f8c" title="test_arts_cf::test\l_arts_cf_init" alt="" coords="448,57,569,98"/>
<area shape="rect" id="node4" href="test__arts__x_2hooks_2arts__hooks_8f90.html#a7a8a483be87e88a7f2552b124d938f69" title="initial_hook" alt="" coords="673,5,760,32"/>
<area shape="rect" id="node6" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#a14f6521e9fb4e882e75018121ef75e63" title="initial_hook" alt="" coords="673,64,760,91"/>
<area shape="rect" id="node8" href="namespacetest__arts.html#a885d003c809945f9c4386c95de840505" title="test_arts::test_arts\l_poststep" alt="" coords="651,370,783,411"/>
<area shape="rect" id="node10" href="namespacetest__arts__cf.html#acd3c4d2e5d62904997dd979f2aadfdcf" title="test_arts_cf::test\l_arts_cf_poststep" alt="" coords="653,585,780,626"/>
<area shape="rect" id="node9" href="test__arts__x_2hooks_2arts__hooks_8f90.html#af6082e63ce97ffd3b40827841f6d8db6" title="temporal_hook" alt="" coords="831,377,937,404"/>
<area shape="rect" id="node11" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#abf770c86c70865b6303e1f33d08582bf" title="temporal_hook" alt="" coords="831,592,937,619"/>
<area shape="rect" id="node14" href="namespaceenergy__flux.html#abf1c904fe88e1743221693bb476760e7" title="energy_flux::energy\l_flux_final" alt="" coords="441,187,577,229"/>
<area shape="rect" id="node17" href="namespacetest__arts.html#af04ab71f29e38a056c6ca45f731df15e" title="test_arts::test_arts\l_finish" alt="" coords="443,122,575,163"/>
<area shape="rect" id="node15" href="namespacetest__arts__cf.html#a7249fc9c7a9775bb46a9a29dde671e12" title="test_arts_cf::test\l_arts_cf_final" alt="" coords="656,187,777,229"/>
<area shape="rect" id="node16" href="test__arts__x_2hooks_2arts__cf__hooks_8f90.html#a084450bf4d95a63de458b6898b973936" title="final_hook" alt="" coords="843,195,925,221"/>
<area shape="rect" id="node18" href="test__arts__x_2hooks_2arts__hooks_8f90.html#a98ed45d4750d825f285d80247744e8f9" title="final_hook" alt="" coords="676,129,757,156"/>
<area shape="rect" id="node20" href="namespaceadvection1d.html#a209995ee84f7ae3896e065e87ee5ca65" title="advection1d::advection1d\l_poststep" alt="" coords="423,501,594,542"/>
<area shape="rect" id="node21" href="namespacelaminar__channel.html#a9e863ac3473d2f9f690ad709500a720b" title="laminar_channel::laminar\l_channel_poststep" alt="" coords="425,253,592,294"/>
<area shape="rect" id="node22" href="namespacemoms__arts.html#ac8da05cb4406b0f8e49a1a10338d2670" title="moms_arts::moms_poststep" alt="" coords="415,319,603,345"/>
<area shape="rect" id="node23" href="namespacemoms__arts__cf.html#ad0b78e245236ec32e152bc64b2112d37" title="moms_arts_cf::moms\l_poststep" alt="" coords="434,669,583,710"/>
<area shape="rect" id="node24" href="namespacetaylor__green.html#a437887e11ce31f541c5ed93f8eba1f82" title="taylor_green::taylor\l_green_poststep" alt="" coords="442,370,575,411"/>
<area shape="rect" id="node25" href="namespacetemplate.html#aef2bd5025599fdc192a9a124b8c97da7" title="template::template\l_poststep" alt="" coords="443,435,574,477"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a57dda9346c7391d7df5d23dfd6092a38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57dda9346c7391d7df5d23dfd6092a38">&#9670;&nbsp;</a></span>first_r3_name_tmp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type (<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), pointer test_defs::first_r3_name_tmp =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a700e112bd90e3835f91b196070024488"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a700e112bd90e3835f91b196070024488">&#9670;&nbsp;</a></span>first_sd_err_var</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>), pointer, private test_defs::first_sd_err_var =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac7120127cb3c88bd40844e45d60ec72b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7120127cb3c88bd40844e45d60ec72b">&#9670;&nbsp;</a></span>sd_err_var</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structtest__defs_1_1sd__var__err__.html">sd_var_err_</a>), pointer test_defs::sd_err_var =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
